#include "Othello.h"

/* ---------------------------------------
	IZ̕`n֐
 --------------------------------------- */
HPEN hPen[PEN_SIZE];
HBRUSH hBrush[BRUSH_SIZE];

/* ---------------------------------------
	IZ̏
 --------------------------------------- */
int Othello_init()
{
	hPen[0] = CreatePen(PS_SOLID,2,RGB(0,0x60,0));
	hPen[1] = CreatePen(PS_SOLID,1,RGB(0,0x00,0));
	hPen[2] = CreatePen(PS_SOLID,5,RGB(0xFF,0x80,0));

	hBrush[0] = CreateSolidBrush(RGB(0x00 ,0x00 , 0x00));	//	gp̃uV
	hBrush[1] = CreateSolidBrush(RGB(0x44 ,0x44 , 0x44));	//	IZ̍
	hBrush[2] = CreateSolidBrush(RGB(0xEE ,0xEE , 0xEE));	//	IZ̔

return 0;
}

/* ---------------------------------------
	IZ̕`
 --------------------------------------- */
int Othello_draw(HWND hWnd)
{
HDC hdc;
PAINTSTRUCT ps;

	hdc = BeginPaint(hWnd , &ps);

/* RgP
	SelectObject(hdc,hPen[0]);
	MoveToEx(hdc, xxx , yyy , NULL);
	LineTo(hdc, xxx , yyy );
*/

/* RgQ
	SelectObject(hdc,hPen[1]);
	SelectObject(hdc,hBrush[color]);
	Ellipse( hdc, Pos_X, Pos_Y, Cir_X, Cir_Y);	// Ewx	EEwx
*/

/* RgR
	SelectObject(hdc,hPen[2]);
	SelectObject( hdc, GetStockObject( NULL_BRUSH) );
	Rectangle( hdc, Pos_X, Pos_Y, Cir_X, Cir_Y );
*/
	EndPaint(hWnd , &ps);

return 0;
}


/* ---------------------------------------
	`yƃuV̊J
 --------------------------------------- */
int Othello_free()
{
int i;

	for(i=0;i<PEN_SIZE;i++) {
		DeleteObject(hPen[i]);
	}

	for(i=0;i<BRUSH_SIZE;i++) {
		DeleteObject(hBrush[i]);
	}

return 0;
}
